<!-- Copyright 2019 The Chromium Authors. All rights reserved.
     Use of this source code is governed by a BSD-style license that can be
     found in the LICENSE file. -->

<link rel="import" href="chrome://resources/polymer/v1_0/iron-icon/iron-icon.html">
<link rel="import" href="chrome://resources/cr_elements/icons.html">
<link rel="import" href="chrome://resources/html/i18n_behavior.html">

<link rel="import" href="chrome://oobe/custom_elements.html">

<link rel="import" href="/components/common_styles.html">
<link rel="import" href="/components/hd_iron_icon.html">
<link rel="import" href="/components/oobe_dialog.html">
<link rel="import" href="/components/oobe_i18n_behavior.html">
<link rel="import" href="/components/throbber_notice.html">

<dom-module id="terms-of-service-element">
  <template>
    <style include="oobe-dialog-host"></style>
    <link rel="stylesheet" href="chrome://resources/css/throbber.css">
    <link rel="stylesheet" href="oobe_terms_of_service.css">

    <!-- ERROR DIALOG -->
    <oobe-dialog id="termsOfServiceErrorDialog" role="dialog"
        title-key="termsOfServiceError"
        subtitle-key="termsOfServiceTryAgain"
        aria-label$="[[i18nDynamic(locale, 'termsOfServiceError')]]"
        for-step="error" has-buttons>
      <iron-icon icon="cr:warning" slot="oobe-icon" class="warning">
      </iron-icon>
      <div slot="back-navigation">
        <oobe-back-button id="errorBackButton"
            disabled="[[backButtonDisabled_]]"
            on-click="onTosBackButtonPressed_"></oobe-back-button>
      </div>
      <div slot="bottom-buttons">
        <oobe-text-button id="retryButton" inverse
            text-key="termsOfServiceRetryButton"
            disabled="[[retryButtonDisabled_]]"
            on-click="onTosRetryButtonPressed_"></oobe-text-button>
      </div>
    </oobe-dialog>

    <!-- NORMAL DIALOG -->
    <!-- As this dialog have pre-loading logic that require access to elements,
         dialog is marked as no-lazy. -->
    <oobe-dialog id="termsOfServiceDialog" role="dialog"
        aria-labelledby="title"
        for-step="loading, loaded" has-buttons no-lazy>
      <hd-iron-icon slot="oobe-icon" id="termsOfServiceGoogleIcon"
          icon1x="oobe-32:googleg" icon2x="oobe-64:googleg">
      </hd-iron-icon>

      <h1 id="title" slot="title">
        <div id="tosHeading">[[i18nDynamic(locale,
                                           'termsOfServiceScreenHeading',
                                           tosManager_)]]</div>
      </h1>
      <div slot="subtitle">
        <div id="tosSubheading">[[i18nDynamic(locale,
                                              'termsOfServiceScreenSubheading',
                                              tosManager_)]]</div>
      </div>
      <div slot="footer" class="flex layout center-justified vertical">
        <div hidden="[[!isLoading_()]]">
          <throbber-notice text-key="termsOfServiceLoading">
          </throbber-notice>
        </div>
        <webview id="termsOfServiceFrame" hidden="[[isLoading_()]]"
            role="document" allowTransparency
            class="focus-on-show flex oobe-tos-webview">
        </webview>
      </div>
      <div slot="back-navigation">
        <oobe-back-button id="backButton" disabled="[[backButtonDisabled_]]"
            on-click="onTosBackButtonPressed_"></oobe-back-button>
      </div>
      <div slot="bottom-buttons">
        <oobe-text-button id="acceptButton" inverse
            text-key="termsOfServiceAcceptButton"
            disabled="[[acceptButtonDisabled_]]"
            on-click="onTermsOfServiceAccepted_"></oobe-text-button>
      </div>
    </oobe-dialog>
  </template>
</dom-module>
